Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class LicenseKey

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.StringValue
              kodo.conf.LicenseKey

All Implemented Interfaces:
  Cloneable

    public class LicenseKey

extends StringValue

Field Summary
`static String` | `KEY`

Constructor Summary
`LicenseKey(OpenJPAConfiguration c)`

Method Summary
`com.solarmetric.license.License` | `getLicense()`
`static com.solarmetric.license.License` | `getLicense(OpenJPAConfiguration conf)` Returns the `License` for `conf`.
`Class` | `getScope()`
`void` | `setCapabilities(kodo.conf.KodoCapabilities cap)` Set the `Capabilities` for this license type.

Methods inherited from class org.apache.openjpa.lib.conf.StringValue
`get, getInternalString, getValueType, set, setInternalObject, setInternalString`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`alias, alias, clone, equals, getAliases, getDefault, getInstantiatingGetter, getListener, getLoadKey, getProperty, getString, hashCode, isAliasListComprehensive, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setInstantiatingGetter, setListener, setLoadKey, setObject, setProperty, setScope, setString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### LicenseKey

    public LicenseKey(OpenJPAConfiguration c)

Method Detail

### getLicense

    public static com.solarmetric.license.License getLicense(OpenJPAConfiguration conf)

  Returns the `License` for `conf`.

### getLicense

    public com.solarmetric.license.License getLicense()

### getScope

    public Class getScope()

  Overrides:
    `getScope` in class `Value`

### setCapabilities

    public void setCapabilities(kodo.conf.KodoCapabilities cap)

  Set the `Capabilities` for this license type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.